%define major 2
%define libname %mklibname ilbc %{major}
%define develname %mklibname ilbc -d

Summary:	Internet Low Bitrate Codec (iLBC) library
Name:		libilbc
Version:	2.0.2
Release:	%mkrel 2
License:	BSD-style
Group:		System/Libraries
URL:		https://github.com/TimothyGu/libilbc
Source0:	https://github.com/TimothyGu/libilbc/releases/download/v%{version}/libilbc-2.0.2.tar.xz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n	%{libname}
Summary:	Internet Low Bitrate Codec (iLBC) library
Group:          System/Libraries

%description -n	%{libname}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n %{develname}
Summary:	Development and header files for the iLBC library
Group:		Development/Libraries
Requires:	%{libname}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%prep

%setup -q -n libilbc-2.0.2

%build
autoreconf -vfi
%configure2_5x \
    --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

###rm -f %{buildroot}%{_libdir}/*.*a
rm -rf %{buildroot}%{_datadir}/doc/libilbc

%files -n %{libname}
%doc COPYING README* NEWS*
%{_libdir}/libilbc.so.%{major}*
%{_libdir}/*.*a

%files -n %{develname}
%{_includedir}/ilbc.h
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/libilbc.pc


%changelog
* Sat Jan 14 2017 adrianomorselli <adrianomorselli> 2.0.2-2uplos2017
- rebuild

* Thu Dec 01 2016 bb <bb> 2.0.2-2pclos2016
- rebuild

* Sat Nov 19 2016 onkelho <oh.quait at t-online.de> 2.0.2-1pclos2016
- new version


